#delimit ;

destring pdx_first3, replace;
destring pdx_first4, replace;
label define pdx_first3_label
	410 "AMI"
	411 "Other Acute/Subacute IHD"
	413 "Angina Pectoris"
	414 "Other Chronic IHD"
	427 "Cardiac Dysrhythmias"
	428 "Heart failure"
	786 "Sym. of resp. system/chest";
label values pdx_first3 pdx_first3_label; 


label define plantyp_label
	1 "B/MM" 
	2 "Comp." 
	3 "EPO" 
	4 "HMO" 
	5 "Non-cap. POS" 
	6 "PPO" 
	7 "Cap./Part Cap. POS" 
	8 "CDHP";
label values plantyp plantyp_label;

label define procedure_label
	1 "NoSurg"
	2 "Angcard_Cath" 
	3 "Angplas"
	4 "Bypass" 
	5 "Other";
label values Procedure procedure_label;

destring agegrp, replace;
label define agegrp_label
	1 "0-17" 
	2 "18-34" 
	3 "35-44" 
	4 "45-54" 
	5 "55-64" 
	6 "65+";
label values agegrp agegrp_label;

destring eeclass, replace;
label define eeclass_label 
	1 "Sal. Non-Union" 
	2 "Sal. Union" 
	3 "Sal. Other" 
	4 "Hr. Non-Union" 
	5 "Hr. Union" 
	6 "Hr. Other" 
	7 "Non-Union"
	8 "Union"
	9 "Unknown";
label values eeclass eeclass_label;

destring eestatu, replace;
label define eestatu_label 
	1 "Act. FT"
	2 "Act. PT/Seasonal"
	3 "Early Ret."
	4 "Medicare Early Ret."
	5 "Retiree (St. Unknown)"
	6 "COBRA"
	7 "LT Dis."
	8 "Surviving Spouse/Dep."
	9 "Other/Unknown";
label values eestatu eestatu_label;

destring indstry, replace;
label define indstry_label
	1 "Oil/Gas/Mining"
	2 "Manu. Durables"
	3 "Manu. Non-Durables"
	4 "Transp./Comms./Ut."
	5 "Retail"
	6 "Fin./Ins./Real Est."
    7 "Services";
label values indstry indstry_label;

destring egeoloc, replace;
label define egeoloc_label
    01 "Nation, unknown region"
	02 "Northeast Region, unknown division"
	03 "New England Division, unknown state"
	04 "Connecticut"
	05 "Maine"
	06 "Massachusetts"
	07 "New Hampshire"
	08 "Rhode Island"
	09 "Vermont"
	10 "Middle Atlantic Division, unknown state"
	11 "New Jersey"
	12 "New York"
	13 "Pennsylvania"
	14 "North Central Region, unknown division"
	15 "East North Central Division, unknown state"
	16 "Illinois"
	17 "Indiana"
	18 "Michigan"
	19 "Ohio"
	20 "Wisconsin"
	21 "West North Central Division, unknown state"
	22 "Iowa"
	23 "Kansas"
	24 "Minnesota"
	25 "Missouri"
	26 "Nebraska"
	27 "North Dakota"
	28 "South Dakota"
	29 "South Region, unknown division"
	30 "South Atlantic Division, unknown state"
	31 "Washington, DC"
	32 "Delaware"
	33 "Florida"
	34 "Georgia"
	35 "Maryland"
	36 "North Carolina"
	37 "South Carolina"
	38 "Virginia"
	39 "West Virginia"
	40 "East South Central Division, unknown state"
	41 "Alabama"
	42 "Kentucky"
	43 "Mississippi"
	44 "Tennessee"
	45 "West South Central Division, unknown state"
	46 "Arkansas"
	47 "Louisiana"
	48 "Oklahoma"
	49 "Texas"
	50 "West Region, unknown division"
	51 "Mountain Division, unknown state"
	52 "Arizona"
	53 "Colorado"
	54 "Idaho"
	55 "Montana"
	56 "Nevada"
	57 "New Mexico"
	58 "Utah"
	59 "Wyoming"
	60 "Pacific Division, unknown state"
	61 "Alaska"
	62 "California"
	63 "Hawaii"
	64 "Oregon"
	65 "Washington"
	97 "Puerto Rico"
	98 "Virgin Islands"
	99 "Other International";
label values egeoloc egeoloc_label;



